Bug 842412 - [GMA X/Ironlake/Sandy Bridge] External display fails to turn on when plugged in via DP-to-DVI-D (dual link) adapter while laptop is suspended
[GMA X/Ironlake/Sandy Bridge] External display fails to turn on when plugged ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 846176 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 15:37 EDT by Ian D. Bollinger
Modified: 2013-07-31 13:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:48:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (80.11 KB, text/plain)
2012-07-23 15:37 EDT, Ian D. Bollinger
no flags Details
Xorg log (36.87 KB, text/plain)
2012-07-23 15:38 EDT, Ian D. Bollinger
no flags Details

  None (edit)
Description Ian D. Bollinger 2012-07-23 15:37:48 EDT
Created attachment 599848 [details]
dmesg output

Description:
This occurs whether or not the laptop is docked. So far I've reproduced the bug on the following devices: Lenovo Thinkpad X200 (GM45); X201, T510 (Ironlake); and T420s (Sandy Bridge).

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.19.0.5.fc17
kernel-3.4.6-2.fc17

How reproducible:
Consistently; it happens 100% of the time.

Steps to Reproduce:
1. Suspend laptop.
2. Plug in external display via DisplayPort-to-DVI-D (dual link) adapter.
3. Resume laptop.
  
Actual results:
- idiot light blinks on monitor
- monitor doesn't turn on
- [drm:intel_dp_i2c_aux_ch] *ERROR* too many retries, giving up

Expected results:
- monitor works

Additional info:
This bug also occurs when suspending the laptop on a docking station, undocking it, plugging in the display, and resuming. *BUT*, suspending while not docked, docking, plugging in the display, and then resuming does seem to work.
Comment 1 Ian D. Bollinger 2012-07-23 15:38:16 EDT
Created attachment 599849 [details]
Xorg log
Comment 2 Miroslav Mamrak 2012-08-13 08:31:58 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Tony Fu 2012-09-19 02:26:22 EDT
*** Bug 846176 has been marked as a duplicate of this bug. ***
Comment 4 Luke Hutchison 2012-11-07 03:15:12 EST
Possible duplicate of my own bug, filed upstream here:
https://bugs.freedesktop.org/show_bug.cgi?id=56834

This is a DRM/kernel bug, not an xorg-x11-drv-intel bug (see "[drm:intel_dp_i2c_aux_ch]")
Comment 15 tkil 2013-05-14 11:21:49 EDT
I'm seeing the same issue on a fully-up-to-date x86_64 F18 install.  Adding myself to the CC, will see if I can help out with the upstream bug as well.

I'm using the Accell B087B-007B adapter:
http://www.amazon.com/gp/product/B00856WJH8

If you can get graphics at all, a useful workaround (not sure where I copied this from):

xrandr --newmode '2560x1440_0.0' 241.50  2560 2608 2640 2720  1440 1443 1448 1481 +hsync -vsync
xrandr --addmode DP1 '2560x1440_0.0'

Numbers were derived by plugging directly into the DisplayPort input on my monitor (Dell U2713HM), in which case things worked fine.  (I prefer DVI-D so I can use it with my KVM switch...)

Let me know if I can pull any more info for you.

Hm.  I do have another adapter I can try it with, although I might have to find a full-size-to-mini adapter first.  (I had a similar adaptor for my MacBook Pro, but it was so flaky that I couldn't stand to use it...)

Thanks,
Tony
Comment 16 Fedora End Of Life 2013-07-03 15:23:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-07-31 13:48:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.